Name: prcs
Version: 1.2.3
Release: 3
Source: ftp://ftp.xcf.berkeley.edu/pub/prcs/prcs-1.2.3.tar.gz
Source1: ftp://ftp.xcf.berkeley.edu/pub/prcs/prcs.el
Copyright: distributable (GNU)
URL: http://www.XCF.Berkeley.EDU/~jmacd/prcs.html
Group: Development/Version Control
Summary: Project Revision Control System

%description

The Project Revision Control System (PRCS), like CVS, provides a way to deal
with sets of files and directories as an entity, preserving coherent
versions of the entire set.

Relative to CVS:
 - it is faster for most operations
 - it supports binary files
 - it can do a better job of tracking files that move around
 - it does not rely upon RCS for handling meta-information
 - versions can be given more meaningful names
 - keyword substitution is more powerful

...but it does not yet support client-server operation.


%changelog
* Sun Apr  5 1998 Stig HackVn <stig@hackvan.com>
- added URL, %description, %post, %preun, tagged all documentation properly
- added newer version of prcs.el

%prep
%setup
cp -b $RPM_SOURCE_DIR/prcs.el ./emacs/

%build
./configure --prefix=/usr

# 'make -j' fails and I don't have the time to muck around with this...
MAKEFLAGS= make

%install
make install

%post
/usr/bin/install-info /usr/info/{prcs.info,dir}

%preun
/usr/bin/install-info --remove /usr/info/{prcs.info,dir}

%files
%doc ANNOUNCE AUTHORS COPYING NEWS README FAQ ChangeLog
%doc /usr/man/man1/prcs.1
%doc /usr/info/prcs.info
%doc /usr/info/prcs.info-1
%doc /usr/info/prcs.info-2
%doc /usr/info/prcs.info-3
/usr/bin/prcs
/usr/share/emacs/site-lisp/prcs.el
/usr/share/emacs/site-lisp/prcs.elc
